Skip to main content
PATCH
Update

Authorizations

x-api-key
string
header
required

A workspace API key (Settings → API keys), scoped to <group>:read / <group>:write.

Path Parameters

id
string
required

Body

application/json
title
string | null
subject
object · null · null
assigneeContactId
string · null · null
assigneeUserId
string · null · null
assigneeStaffId
string · null · null
teamId
string · null · null
taskTypeId
string · null · null
branchId
string · null · null
priority
string | null
dueOn
string · null · null
expectedRevision

Response

Success

id
string
required
title
string
required
subjectKind
string | null
required
subjectId
string | null
required
assigneeContactId
string | null
required
assigneeUserId
string | null
required
assigneeStaffId
string | null
required
teamId
string | null
required
taskTypeId
string | null
required
branchId
string | null
required
priority
enum<string>
required
Available options:
urgent,
high,
normal,
low
dueOn
string | null
required
status
string
required
createdByUserId
string | null
required
dedupeKey
string | null
required
requestId
string | null
required
revision
required
createdAt
string
required
doneAt
string | null
required